set_property PACKAGE_PIN W5 [get_ports {Clock}]
set_property IOSTANDARD LVCMOS33 [get_ports {Clock}]
create_clock -add -name sys_clk_pin -period 10.00 -waveform {0 5} [get_ports {Clock}]

set_property PACKAGE_PIN L1 [get_ports {LED[15]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[15]}]

set_property PACKAGE_PIN P1 [get_ports {LED[14]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[14]}]

set_property PACKAGE_PIN N3 [get_ports {LED[13]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[13]}]

set_property PACKAGE_PIN P3 [get_ports {LED[12]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[12]}]

set_property PACKAGE_PIN U3 [get_ports {LED[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[11]}]

set_property PACKAGE_PIN W3 [get_ports {LED[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[10]}]

set_property PACKAGE_PIN V3 [get_ports {LED[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[9]}]

set_property PACKAGE_PIN V13 [get_ports {LED[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[8]}]

set_property PACKAGE_PIN V14 [get_ports {LED[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[7]}]

set_property PACKAGE_PIN U14 [get_ports {LED[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[6]}]

set_property PACKAGE_PIN U15 [get_ports {LED[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[5]}]

set_property PACKAGE_PIN W18 [get_ports {LED[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[4]}]

set_property PACKAGE_PIN V19 [get_ports {LED[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[3]}]

set_property PACKAGE_PIN U19 [get_ports {LED[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[2]}]

set_property PACKAGE_PIN E19 [get_ports {LED[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[1]}]

set_property PACKAGE_PIN U16 [get_ports {LED[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED[0]}]

set_property PACKAGE_PIN W17 [get_ports {Switch[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Switch[3]}]

set_property PACKAGE_PIN W16 [get_ports {Switch[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Switch[2]}]

set_property PACKAGE_PIN V16 [get_ports {Switch[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Switch[1]}]

set_property PACKAGE_PIN V17 [get_ports {Switch[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Switch[0]}]

set_property PACKAGE_PIN U18 [get_ports {Rst}]
set_property IOSTANDARD LVCMOS33 [get_ports {Rst}]

set_property PACKAGE_PIN W19 [get_ports {Ein}]
set_property IOSTANDARD LVCMOS33 [get_ports {Ein}]

set_property PACKAGE_PIN W4 [get_ports {Anode[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Anode[3]}]

set_property PACKAGE_PIN V4 [get_ports {Anode[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Anode[2]}]

set_property PACKAGE_PIN U4 [get_ports {Anode[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Anode[1]}]

set_property PACKAGE_PIN U2 [get_ports {Anode[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Anode[0]}]

set_property PACKAGE_PIN W7 [get_ports {Cathode[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[7]}]

set_property PACKAGE_PIN W6 [get_ports {Cathode[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[6]}]

set_property PACKAGE_PIN U8 [get_ports {Cathode[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[5]}]

set_property PACKAGE_PIN V8 [get_ports {Cathode[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[4]}]

set_property PACKAGE_PIN U5 [get_ports {Cathode[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[3]}]

set_property PACKAGE_PIN V5 [get_ports {Cathode[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[2]}]

set_property PACKAGE_PIN U7 [get_ports {Cathode[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[1]}]

set_property PACKAGE_PIN V7 [get_ports {Cathode[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Cathode[0]}]